Package: org.gradle.api.artifacts.result

## [Java] Interface ComponentArtifactsResult

- org.gradle.api.artifacts.result.ComponentArtifactsResult

- All Superinterfaces:
    ComponentResult

  The result of successfully resolving a component with a set of artifacts.

  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Set<ArtifactResult>` | `getArtifacts(Class<? extends Artifact> type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentResult` | `getId`

- - ### Method Detail

    - #### public Set<ArtifactResult> getArtifacts(Class<? extends Artifact> type)

      Returns the component artifacts of the specified type. Includes resolved and unresolved artifacts (if any).

      The elements of the returned collection are declared as ArtifactResult, however the artifact instances will also implement one of the following instances:

      - ResolvedArtifactResult for artifacts which were successfully resolved.
      - UnresolvedArtifactResult for artifacts which could not be resolved for some reason.
      Returns:
        the artifacts of this component with the specified type, or an empty set if no artifacts of the type exist.